/*
 * File: fxtra.c
 *  Contents: additional functions to extend the standard Icon repertoire.
 *  This file includes collections of functions, such as functions specific to
 *  MS-DOS (DosFncs).
 *
 *  These collections are under the control of conditional compilation
 *  as indicated by the symbols in parentheses. To enable a set of functions,
 *  define the corresponding symbol in ../h/define.h.  The functions themselves
 *  are in separate files, included according to the defined symbols.
 */

#include "..\h\config.h"
#include "..\h\rt.h"
#include "rproto.h"


#ifdef DosFncs
#include "fxmsdos.c"
#endif					/* DosFncs */

#ifdef EvalTrace
#include "fxtrace.c"
#endif					/* EvalTrace */


static char junk;			/* avoid empty module */
