#if IntBits == 16
#ifdef strlen
#undef strlen			/* defined in some contexts */
#endif					/* strlen */
#endif					/* IntBits == 16 */

/*
 * External definitions needed throughout translator.
 */

extern int yychar;		/* parser's current input token type */
extern int yynerrs;		/* number of errors in parse */
extern int nocode;		/* true to suppress code generation */
extern int trace;		/* initial setting of &trace */

extern int in_line;		/* current line number in input */
extern int incol;		/* current column number in input */
extern int peekc;		/* one character look-ahead */
extern FILE *srcfile;		/* current input file */
extern FILE *codefile;		/* current icode output file */
extern FILE *globfile;		/* current global output file */

extern char *strings;		/* string space */
extern char *stre;		/* end of string space */
extern char *strf;		/* free pointer for string space */
